package com.ruoyi.base.service;

import java.util.List;
import com.ruoyi.base.domain.RobotOpsPlayPlan;

/**
 * 播放方案Service接口
 * 
 * @author ruoyi
 * @date 2026-05-11
 */
public interface IRobotOpsPlayPlanService 
{
    /**
     * 查询播放方案
     * 
     * @param id 播放方案主键
     * @return 播放方案
     */
    public RobotOpsPlayPlan selectRobotOpsPlayPlanById(Long id);

    /**
     * 查询播放方案列表
     * 
     * @param robotOpsPlayPlan 播放方案
     * @return 播放方案集合
     */
    public List<RobotOpsPlayPlan> selectRobotOpsPlayPlanList(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 新增播放方案
     * 
     * @param robotOpsPlayPlan 播放方案
     * @return 结果
     */
    public int insertRobotOpsPlayPlan(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 修改播放方案
     * 
     * @param robotOpsPlayPlan 播放方案
     * @return 结果
     */
    public int updateRobotOpsPlayPlan(RobotOpsPlayPlan robotOpsPlayPlan);

    /**
     * 批量删除播放方案
     * 
     * @param ids 需要删除的播放方案主键集合
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanByIds(Long[] ids);

    /**
     * 删除播放方案信息
     * 
     * @param id 播放方案主键
     * @return 结果
     */
    public int deleteRobotOpsPlayPlanById(Long id);

    /**
     * 查询当前正在播放的方案（包含素材项）
     * 
     * @return 播放方案
     */
    public RobotOpsPlayPlan selectCurrentPlayingPlanWithItems();
}
